Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
CoinAbsFltEq Class Reference

Equality to an absolute tolerance. More...

`#include <CoinFloatEqual.hpp>`

## Public Member Functions
bool | operator() (const double f1, const double f2) const
| Compare function. More...
Constructors and destructors
| CoinAbsFltEq ()
| Default constructor. More...
| CoinAbsFltEq (const double epsilon)
| Alternate constructor with epsilon as a parameter. More...
virtual | ~CoinAbsFltEq ()
| Destructor. More...
| CoinAbsFltEq (const CoinAbsFltEq &src)
| Copy constructor. More...
CoinAbsFltEq & | operator= (const CoinAbsFltEq &rhs)
| Assignment. More...

## Private Attributes
Private member data
double | epsilon_
| Equality tolerance. More...

## Detailed Description

Equality to an absolute tolerance.

Operands are considered equal if their difference is within an epsilon ; the test does not consider the relative magnitude of the operands.

Definition at line 46 of file CoinFloatEqual.hpp.

## Constructor & Destructor Documentation

CoinAbsFltEq::CoinAbsFltEq | ( |  | ) |
| inline

Default constructor.

Default tolerance is 1.0e-10.

Definition at line 68 of file CoinFloatEqual.hpp.

CoinAbsFltEq::CoinAbsFltEq | ( | const double | epsilon | ) |
| inline

Alternate constructor with epsilon as a parameter.

Definition at line 75 of file CoinFloatEqual.hpp.

virtual CoinAbsFltEq::~CoinAbsFltEq | ( |  | ) |
| inline virtual

Destructor.

Definition at line 82 of file CoinFloatEqual.hpp.

CoinAbsFltEq::CoinAbsFltEq | ( | const CoinAbsFltEq & | src | ) |
| inline

Copy constructor.

Definition at line 86 of file CoinFloatEqual.hpp.

## Member Function Documentation

bool CoinAbsFltEq::operator() | ( | const double | f1,
|  | const double | f2
| ) |  | const
| inline

Compare function.

Definition at line 50 of file CoinFloatEqual.hpp.

CoinAbsFltEq& CoinAbsFltEq::operator= | ( | const CoinAbsFltEq & | rhs | ) |
| inline

Assignment.

Definition at line 93 of file CoinFloatEqual.hpp.

## Member Data Documentation

double CoinAbsFltEq::epsilon_
| private

Equality tolerance.

Definition at line 109 of file CoinFloatEqual.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinFloatEqual.hpp